pub struct IdentifyClient { /* private fields */ }Implementations§
Source§impl IdentifyClient
impl IdentifyClient
pub fn new(http: Arc<HttpClient>) -> Self
Sourcepub fn identify(
&self,
rovenue_id: &str,
app_user_id: &str,
) -> RovenueResult<IdentifyResult>
pub fn identify( &self, rovenue_id: &str, app_user_id: &str, ) -> RovenueResult<IdentifyResult>
POST /v1/identify linking the anonymous rovenue_id device to an
app_user_id. The device key travels in the X-Rovenue-App-User-Id
header via user_scope.
Auto Trait Implementations§
impl Freeze for IdentifyClient
impl !RefUnwindSafe for IdentifyClient
impl Send for IdentifyClient
impl Sync for IdentifyClient
impl Unpin for IdentifyClient
impl !UnwindSafe for IdentifyClient
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more